package de.duehl.swing.ui.elements.sidelist.data;

/*
 * Copyright 2024 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import java.awt.Component;

import javax.swing.JButton;

public class ButtonAndComponent {

    private final Component component;

    private final JButton button;

    public ButtonAndComponent(Component component, JButton button) {
        this.component = component;
        this.button = button;
    }

    public Component getComponent() {
        return component;
    }

    public JButton getButton() {
        return button;
    }

}
